-------------------------------------
-- Functions
-------------------------------------

--------------------------------------------------------------------------------
function LogInfo( ... )
	local timestamp = ""
	if mission.GetWorldTimeHMS then -- AO 1.1.03+
		local t = mission.GetWorldTimeHMS()
		local d = mission.GetWorldDateYMD()
		timestamp = string.format( "%d-%02d-%02d %02d:%02d:%02d: ", d.y,d.m,d.d,t.h,t.m,t.s )
	end
	local argNorm = {}
	for i = 1, arg.n do
		if common.IsWString( arg[ i ] ) then
			argNorm[ i ] = arg[ i ]
		else
			argNorm[ i ] = tostring( arg[ i ] )
		end
	end
	common.LogInfo( common.GetAddonName(), timestamp, unpack( argNorm ) )
end
--------------------------------------------------------------------------------
function LogTableInfo( t )
	if type( t ) ~= "table" then return end
	for i, v in t do
		LogInfo(i,"=",v)
	end
end
--------------------------------------------------------------------------------
function RegisterEventHandlers( handlers )
	for event, handler in handlers do
		common.RegisterEventHandler( handler, event )
	end
end

function RegisterReactionHandlers( handlers )
	for event, handler in handlers do
		common.RegisterReactionHandler( handler, event )
	end
end
--------------------------------------------------------------------------------
-- AO game Localization detection by SLA. Version 2011-02-10.
function GetGameLocalization()
	local B = cartographer.GetMapBlocks()
	local T = { rus="\203\232\227\224", eng="Holy Land", ger="Heiliges Land",
	fra="Terre Sacr\233e", br="Terra Sagrada", jpn="\131\74\131\106\131\65" }
	for b in B do for l,t in T do
	if userMods.FromWString( cartographer.GetMapBlockInfo(B[b]).name ) == t
	then return l end end end return "eng"
end
--------------------------------------------------------------------------------
function GetTextLocalized( strTextName )
	return userMods.ToWString( Locales[ localization ][ strTextName ] )
end
--------------------------------------------------------------------------------
